package com.sixin.module_p.ui.enter.mine

import com.lukouguoji.module_base.base.BaseBindingFragment
import com.sixin.module_p.R
import com.sixin.module_p.databinding.FragmentPdaMineBinding

class PdaMineFragment : BaseBindingFragment<FragmentPdaMineBinding, PdaMineViewModel>() {

    override fun layoutId(): Int {
        return R.layout.fragment_pda_mine
    }

    override fun viewModelClass(): Class<PdaMineViewModel> {
        return PdaMineViewModel::class.java
    }

    override fun initOnViewCreated() {
        binding.viewModel = viewModel

        viewModel.onInit()
    }


    companion object {
        fun newInstance(): PdaMineFragment {
            return PdaMineFragment()
        }
    }
}